package Main;

import java.util.ArrayList;
import java.util.List;

import Objects.Product;

public class StoreParser {

	private static List<Product> urls = new ArrayList<Product>();

	public static final String NET_ON_NET = "NetOnNet";
	public static final String WEBHALLEN = "Webhallen";
	public static final String KOMPLETT = "Komplett";
	public static final String EL_GIGANTEN = "ElGiganten";
	public static final String MEDIA_MARKT = "MediaMarkt";

	public static final String NINTENDO_SWITCH_OLED_NEON_RED = "Nintendo Switch Oled Neon Red";
	public static final String NINTENDO_SWITCH_OLED_WHITE = "Nintendo Switch Oled White";

	public static void main(String[] args) {

		urls.add(new Product(NINTENDO_SWITCH_OLED_NEON_RED, MEDIA_MARKT,
				"https://www.mediamarkt.se/sv/product/_nintendo-switch-oled-r%C3%B6d-bl%C3%A5-1335207.html"));
		urls.add(new Product(NINTENDO_SWITCH_OLED_WHITE, MEDIA_MARKT,
				"https://www.mediamarkt.se/sv/product/_nintendo-switch-oled-vit-1335206.html"));

		urls.add(new Product(NINTENDO_SWITCH_OLED_NEON_RED, EL_GIGANTEN,
				"https://www.elgiganten.se/product/gaming/spelkonsoler-tillbehor/nintendo-switch/nintendo-konsol/nintendo-switch-oled-gamingkonsol-med-neon-joy-con-kontroller/336728"));
		urls.add(new Product(NINTENDO_SWITCH_OLED_WHITE, EL_GIGANTEN,
				"https://www.elgiganten.se/product/gaming/spelkonsoler-tillbehor/nintendo-switch/nintendo-konsol/nintendo-switch-oled-gamingkonsol-med-vita-joy-con-kontroller/336729"));

		urls.add(new Product(NINTENDO_SWITCH_OLED_NEON_RED, KOMPLETT,
				"https://www.komplett.se/product/1190985/gaming/nintendo/nintendo-switch-oled-2021-64gb-neon"));
		urls.add(new Product(NINTENDO_SWITCH_OLED_WHITE, KOMPLETT,
				"https://www.komplett.se/product/1190967/gaming/nintendo/nintendo-switch-oled-2021-64gb-bit"));

		urls.add(new Product(NINTENDO_SWITCH_OLED_NEON_RED, WEBHALLEN,
				"https://www.webhallen.com/se/product/337847-Nintendo-Switch-OLED-Model-Neon-Red-Neon-Blue"));
		urls.add(new Product(NINTENDO_SWITCH_OLED_WHITE, WEBHALLEN,
				"https://www.webhallen.com/se/product/336870-Nintendo-Switch-OLED-Model"));

		urls.add(new Product(NINTENDO_SWITCH_OLED_NEON_RED, NET_ON_NET,
				"https://www.netonnet.se/art/gaming/spel-och-konsol/nintendo/nintendo-konsol/nintendo-switch-oled-model-neon-redneon-blue/1019709.14414/"));
		urls.add(new Product(NINTENDO_SWITCH_OLED_WHITE, NET_ON_NET,
				"https://www.netonnet.se/art/gaming/spel-och-konsol/nintendo/nintendo-konsol/nintendo-switch-oled-model-white/1019708.14414/"));

		ParseUrls parseUrls = new ParseUrls(urls);
		parseUrls.run();
	}
}
